Skip to main content
`Ctrl`+`K`

# PetscBenchSetOptionsPrefix

Sets the prefix used for searching for all `PetscBench` items in the options database.

## Synopsis

    #include "petscbm.h"
    PetscErrorCode PetscBenchSetOptionsPrefix(PetscBench bm, const char pre[])

Logically Collective

## Input Parameters

- bm - the `PetscBench`

- pre - the prefix to prepend all `PetscBench` option names

## See Also

`PetscBench`, `PetscBenchSetFromOptions()`, `PetscBenchRun()`, `PetscBenchViewFromOptions()`, `PetscBenchDestroy()`, `PetscBenchSetUp()`, `PetscBenchSetType()`, `PetscBenchSetSize()`, `PetscBenchGetSize()`

## Level

advanced

## Location

src/sys/classes/bm/interfaces/bm.c

Index of all BM routines
Table of Contents for all manual pages
Index of all manual pages